TKINFO(1)

NAME
tkinfo - Programm zum Ansehen von GNU-Infodateien

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 tkinfo

eingeben.

ÜBERSICHT
tkinfo [ --help ] [ -headers | +headers ] [ -buttons | +buttons ] [ -scrollthrough | +scrollthrough ] [ -pagesep | +pagesep ] [ -showdir | +showdir ] [ -balloons | +balloons ] [ -linklook type ] [ -highlight type ] [ -searchlook type ] [ -geometry geom ] [ -display display ] [ -iconic ] [ -dir VERZ1 ] [ -dir VERZ2 ] ... [ KNOTEN ]

BESCHREIBUNG

tkinfo ist ein grafischer Browser für Dokumentation im GNU-Info-Hypertext-Format.

OPTIONEN

--help
    Zeigt eine kurze Hilfe.

-/+headers
    Schaltet Anzeige der Info-Knoten-Kopfzeile in der ersten Zeile des Fensters an/aus. Voreinstellung ist an.

-/+buttons
    Schaltet Anzeige der Knopfleiste an/aus. Voreinstellung ist an.

-/+balloons
    Schaltet Ballonhilfe für die Knöpfe an/aus. Voreinstellung ist an.

-/+scrollthrough
    Schaltet Springen zum Folgeknoten, wenn versucht wird, über das Ende eines Knotens hinaus zu gehen, an/aus. Voreinstellung ist an.

-/+pagesep
    Schaltet Einfügen eines Seitentrennzeichens beim seitenweisen Rollen an/aus. Voreinstellung ist an.

-/+showdir
    Schaltet Anzeige des vollen Pfadnamens der angezeigten Infodatei an/aus. Voreinstellung ist aus.

-linklook TYP
    Bestimmt, wie Querverweise und Menüeinträge angezeigt werden sollen. TYP muss eins von "color", "font" oder "underline" sein (Farbe, Zeichensatz, Unterstreichen). Voreinstellung ist "color" auf Farb- und "underline" auf Schwarz/Weiß-Geräten.

-highlight TYP
    Bestimmt, wie Verweise hervorgehoben werden sollen. TYP muss eins von "color", "inverse" oder "underline" sein (Farbe, Invertieren, Unterstreichen). Voreinstellung ist "inverse".

-searchlook TYP
    Bestimmt, wie Treffer nach einer Suche hervorgehoben werden sollen. TYP muss eins von "color", "inverse" oder "underline" sein (Farbe, Invertieren, Unterstreichen). Voreinstellung ist "inverse".

-geometry GEOM
    Geometrie des Fensters. Standard-X-Option.

-display DISPLAY
    X display für das tkinfo Fenster. Standard-X-Option.

-iconic
    Startet das erste Fenster minimiert.

-dir VERZ
    Spezifiziert Verzeichnisse, in denen nach Info-Dateien gesucht wird, zusätzlich zu denen in der INFOPATH-Umgebungsvariable. Die Verzeichnisse, die mit -dir angegeben werden, werden zuerst durchsucht, in der Reihenfolge, in der sie angegeben sind.

KNOTEN
    Spezifiziert den Info-Knoten, der zuerst besucht werden soll. Mögliche Formate für KNOTEN sind:
      "(datei)knoten" allgemeinste
      "(datei)" äquivalent zu (datei)Top
      "datei" äquivalent to (datei).

Wenn der Dateinamen nicht absolut ist, werden die Info-Verzeichnisse (aus INFOPATH und -dir) durchsucht. Kann der Dateiname nicht gefunden werden, wird seine Version in Kleinbuchstaben versucht.

Eine alternative Möglichkeit, den Knoten "DATEI(KNOTEN)" zu spezifieren, ist mit -file DATEI -node KNOTEN.

Ist kein KNOTEN gegeben, wird der voreingestellte Knoten "(dir)Top" benutzt.

UMGEBUNGSVARIABLEN

INFOPATH
    Eine durch Doppelpunkt getrennte Liste von Verzeichnissen, in denen nach Info-Dateien gesucht wird. Mehr Verzeichnisse können mit -dir gegeben werden. Wenn nicht gesetzt, dann versucht tkinfo verschiedene Standardverzeichnisse, die auf den meisten Systemen in Ordnung seien sollten.

INFOSUFFIX
    Eine durch Doppelpunkt getrennte Liste von Dateiendungen, die bei der Suche nach einer Info-Datei berücksichtigt werden. Wenn nicht gesetzt, dann versucht tkinfo die Endungen "", ".info" und "-info". Zusätzlich versucht tkinfo immer automatisch die Endungen .Z, .z und .gz und behandelt die komprimierten Dateien wenn nötig.

SIEHE AUCH
Das Programm dokumentiert sich selbst im Info-Format: Nach dem Start kann man h eingeben. Anpassung durch X-Ressourcen ist ebenfalls so dokumentiert.

Zusätzliche Informationen und die neueste Version von tkinfo sind im WWW unter http://math-www.uni-paderborn.de/~axel/tkinfo/ zu finden.

Weitere Info-Browser sind info(1), pinfo(1), gnome-help-browser(1) und kdehelp(1).

AUTHOR
Diese Man-Seite wurde von Craig Sanders <cas@taz.net.au> für das Debian-GNU/Linux-System geschrieben und unter der GNU General Public License veröffentlich. Einige Änderungen wurden von Axel Boldt <boldt@math.ucsb.edu> vorgenommen. Deutsche Version von Michael Piefel <piefel@informatik.hu-berlin.de>